Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
linkedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )
| $error_msg = false
if(isset( $Accepted) && $Accepted=="1"||!isset( $Accepted)) | else
| $no_selected = "selected"
else | $LinkCategoryIDArray = array()
if( $Action=="new") if( $Action=="edit") if((isset( $AddImages)) and(is_numeric( $LinkID)) and(is_numeric( $LinkID))) if(isset( $GetSite) && $GetSite) if( $Action=="update") if( $Action=="delete") if( $Action=="DeleteLinks") if( $Action=="insert") | $t
| $languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkedit.php.ini", false )
| $headline = $languageIni->variable( "strings", "headline_insert" )
| $linkselect = new eZLinkCategory()
| $linkCategoryList =& $linkselect->getTree()
if( $Action=="edit") if( $Action=="AttributeList") | $link_select_dict = ""
| $catCount = count( $linkCategoryList )
| $i = 0
foreach( $linkCategoryList as $linkCategoryItem) | $type = new eZLinkType()
| $types = $type->getAll()

## Variable Documentation

## ◆ $catCount

$catCount = count( $linkCategoryList )

Definition at line 657 of file linkedit.php.

## ◆ $error

$error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )

Definition at line 36 of file linkedit.php.

## ◆ $error_msg

$error_msg = false

Definition at line 37 of file linkedit.php.

## ◆ $headline

$headline = $languageIni->variable( "strings", "headline_insert" )

Definition at line 514 of file linkedit.php.

## ◆ $i

foreach ($types as $typeItem) $i = 0

Definition at line 659 of file linkedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file linkedit.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 35 of file linkedit.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkedit.php.ini", false )

Definition at line 513 of file linkedit.php.

## ◆ $link_select_dict

if ($Action=="edit") if ($Action=="AttributeList") $link_select_dict = ""

Definition at line 656 of file linkedit.php.

## ◆ $LinkCategoryIDArray

else $LinkCategoryIDArray = array()

Definition at line 100 of file linkedit.php.

## ◆ $linkCategoryList

$linkCategoryList =& $linkselect->getTree()

Definition at line 518 of file linkedit.php.

## ◆ $linkselect

$linkselect = new eZLinkCategory()

Definition at line 516 of file linkedit.php.

## ◆ $no_selected

$no_selected = "selected"

Definition at line 59 of file linkedit.php.

## ◆ $t

if ($Action=="new") if ($Action=="edit") if ((isset($AddImages)) and(is_numeric($LinkID)) and(is_numeric($LinkID))) if (isset($GetSite) &&$GetSite) if ($Action=="update") if ($Action=="delete") if ($Action=="DeleteLinks") if ($Action=="insert") $t

Initial value:
= new eZTemplate( "kernel/ezlink/admin/" . $ini->variable( "eZLinkMain", "AdminTemplateDir" ),
"kernel/ezlink/admin/" . "/intl", $Language, "linkedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: linkedit.php:35
$ini
$ini
Definition: linkedit.php:34

Definition at line 494 of file linkedit.php.

## ◆ $type

foreach ($linkCategoryList as $linkCategoryItem) $type = new eZLinkType()

Definition at line 700 of file linkedit.php.

## ◆ $types

$types = $type->getAll()

Definition at line 701 of file linkedit.php.

## ◆ else

if (is_a($linkType, "eZLinkType")) if (isset($attributes) &&count($attributes) > 0||!isset($type)) else

Initial value:
{
$yes_selected = ""
$yes_selected
$yes_selected
Definition: suggestlink.php:385

Definition at line 56 of file linkedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.